# Cinder

# cinder::cairo::SurfaceBase Class Reference

`#include <Cairo.h>`

Inherited by cinder::cairo::SurfaceCgBitmapContext, cinder::cairo::SurfaceEps, cinder::cairo::SurfaceGdi, cinder::cairo::SurfaceImage, cinder::cairo::SurfacePdf, cinder::cairo::SurfacePs, cinder::cairo::SurfaceQuartz, and cinder::cairo::SurfaceSvg.

List of all members.

## Public Member Functions
| SurfaceBase ()
| SurfaceBase (const SurfaceBase &other)
SurfaceBase & | operator= (const SurfaceBase &other)
virtual | ~SurfaceBase ()
cairo_surface_t * | getCairoSurface () const
int32_t | getWidth () const
int32_t | getHeight () const
float | getAspectRatio () const
Area | getBounds () const
Vec2i | getSize () const
void | flush ()
## Protected Member Functions
| SurfaceBase (int32_t aWidth, int32_t aHeight)
## Protected Attributes
cairo_surface_t * | mCairoSurface
int32_t | mWidth
int32_t | mHeight

## Constructor & Destructor Documentation

cinder::cairo::SurfaceBase::SurfaceBase | ( |  | ) |

cinder::cairo::SurfaceBase::SurfaceBase | ( | const SurfaceBase & | other | ) |

cinder::cairo::SurfaceBase::~SurfaceBase | ( |  | ) | `[virtual]`

cinder::cairo::SurfaceBase::SurfaceBase | ( | int32_t | aWidth,
|  | int32_t | aHeight |
| ) |  |  | `[protected]`

## Member Function Documentation

SurfaceBase & cinder::cairo::SurfaceBase::operator= | ( | const SurfaceBase & | other | ) |

cairo_surface_t* cinder::cairo::SurfaceBase::getCairoSurface | ( |  | ) | const

int32_t cinder::cairo::SurfaceBase::getWidth | ( |  | ) | const

int32_t cinder::cairo::SurfaceBase::getHeight | ( |  | ) | const

float cinder::cairo::SurfaceBase::getAspectRatio | ( |  | ) | const

Area cinder::cairo::SurfaceBase::getBounds | ( |  | ) | const

Vec2i cinder::cairo::SurfaceBase::getSize | ( |  | ) | const

void cinder::cairo::SurfaceBase::flush | ( |  | ) |

## Member Data Documentation

cairo_surface_t* cinder::cairo::SurfaceBase::mCairoSurface`[protected]`

int32_t cinder::cairo::SurfaceBase::mWidth`[protected]`

int32_t cinder::cairo::SurfaceBase::mHeight`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/cairo/Cairo.h
- src/cinder/cairo/Cairo.cpp